Get Events
1 min
GET
https://api.upstartcommerce.com/v1/siteactivity/events
Query Parameters
- sessionIdstringDescription
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
- OutClientEventsDescription
- eventsOutClientEvent[]requiredDescription
- createdstring<date-time>requiredExampleDescriptionFormatdate-time
- idstring<uuid>requiredDescriptionFormatuuid
- namestringrequiredDescription
- payloadobjectrequiredDescription
- siteIdsstring[]required
- servicestringrequiredDescription
- traceIdstringrequiredDescription
- sessionIdstringrequired
400
- ValidationErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
401
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/siteactivity/events \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/siteactivity/events", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/siteactivity/events")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/siteactivity/events"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success–events array returned with a session identifier for future calls.
{
"events": [
{
"created": "2017-07-21T17:32:28Z",
"id": "",
"name": "",
"payload": {},
"siteIds": [
""
],
"service": "",
"traceId": ""
}
],
"sessionId": ""
}400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}